import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';

import { FactionController } from './faction.controller';
import { FactionService } from './faction.service';
import { GameGroupEntity, FactionEntity } from './faction.entity';
import { Game_PersonEntity } from '../game/game.entity';

@Module({
  imports: [
    TypeOrmModule.forFeature([
      FactionEntity,
      Game_PersonEntity,
      GameGroupEntity,
    ]),
  ],
  controllers: [FactionController],
  providers: [FactionService],
})
export class FactionModule {}
